org.springframework.web.reactive.accept

## Class RequestedContentTypeResolverBuilder.ParameterResolverConfigurer

- java.lang.Object
- - org.springframework.web.reactive.accept.RequestedContentTypeResolverBuilder.ParameterResolverConfigurer

Enclosing class:
  RequestedContentTypeResolverBuilder

    public static class RequestedContentTypeResolverBuilder.ParameterResolverConfigurer
    extends Object

Helper to create and configure `ParameterContentTypeResolver`.

### Constructor Summary

Constructors
Constructor and Description
`ParameterResolverConfigurer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RequestedContentTypeResolverBuilder.ParameterResolverConfigurer` `mediaType(Map<String,org.springframework.http.MediaType> mediaTypes)` Map-based variant of `mediaType(String, MediaType)`.
`RequestedContentTypeResolverBuilder.ParameterResolverConfigurer` `mediaType(String key, org.springframework.http.MediaType mediaType)` Configure a mapping between a lookup key (extracted from a query parameter value) and a corresponding `MediaType`.
`RequestedContentTypeResolverBuilder.ParameterResolverConfigurer` `parameterName(String parameterName)` Set the name of the parameter to use to determine requested media types.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterResolverConfigurer

    public ParameterResolverConfigurer()

### Method Detail

#### mediaType

    public RequestedContentTypeResolverBuilder.ParameterResolverConfigurer mediaType(String key,
                                                                                     org.springframework.http.MediaType mediaType)

Configure a mapping between a lookup key (extracted from a query parameter value) and a corresponding `MediaType`.

Parameters:
  `key` - the lookup key
  `mediaType` - the MediaType for that key

#### mediaType

    public RequestedContentTypeResolverBuilder.ParameterResolverConfigurer mediaType(Map<String,org.springframework.http.MediaType> mediaTypes)

Map-based variant of `mediaType(String, MediaType)`.

Parameters:
  `mediaTypes` - the mappings to copy

#### parameterName

    public RequestedContentTypeResolverBuilder.ParameterResolverConfigurer parameterName(String parameterName)

Set the name of the parameter to use to determine requested media types.

By default this is set to "format".